# Python Examples for the Looker API

You can find Python language examples in this folder. 

The full details of all Looker API endpoints are listed in Looker Docs: [Version 3.1](https://docs.looker.com/reference/api-and-integration/api-reference/v3.1), [Version 4.0](https://docs.looker.com/reference/api-and-integration/api-reference/v4.0)

## Connection : Manage Database Connections

- [Test a specified connection](test_connection.py)

## Content : Manage Content

- [Add a board or dashboard to Favorites for a list of users](add_contents_to_favorite.py)
- [Output permission access for folders](folder_permission_access.py)

## Dashboard : Manage Dashboards

- [Soft delete dashboard](soft_delete_dashboard.py)

## Query : Run and Manage Queries
- [Killing all running queries](kill_queries.py)

## RenderTask : Manage Render Tasks

- [Download dashboard tile in specified format](download_tile.py)
- [Download look in specified format](download_look.py)
- [Generate and download dashboard PDFs](download_dashboard_pdf.py)

## ScheduledPlan : Manage Scheduled Plans

- [Transfer all schedules of a user to another user](transfer_all_schedules.py)
- [Pause/Resume or Copy Schedules](manage_schedules.py)
- [Create a Simple Schedule Plan](simple_schedule_plan.py)


## User : Manage Users

- [Disable all active user sessions](logout_all_users.py)





